> ## Documentation Index
> Fetch the complete documentation index at: https://developers.wrike.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Workflows

Returns list of workflows with custom statuses. Only account-wide workflows are returned.

<b>Scopes:</b> Default, amReadOnlyWorkflow, amReadWriteWorkflow, wsReadOnly, wsReadWrite

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Wrike API",
    "version": "4.0"
  },
  "servers": [
    {
      "url": "https://www.wrike.com/api/v4"
    },
    {
      "url": "https://app-eu.wrike.com/api/v4"
    },
    {
      "url": "https://app-us2.wrike.com/api/v4"
    }
  ],
  "paths": {
    "/workflows": {
      "get": {
        "tags": [
          "Workflows"
        ],
        "summary": "Query Workflows",
        "description": "Returns list of workflows with custom statuses. Only account-wide workflows are returned.\n\n<b>Scopes:</b> Default, amReadOnlyWorkflow, amReadWriteWorkflow, wsReadOnly, wsReadWrite",
        "operationId": "GET:/workflows/empty",
        "parameters": [
          {
            "name": "fields",
            "in": "query",
            "description": "Json string array of optional fields to be included in the response model\n* `dataUsageStatistics` - Return collection of data usage statistics",
            "required": false,
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "description": "Json string array of optional fields to be included in the response model",
                  "items": {
                    "type": "string",
                    "enum": [
                      "dataUsageStatistics"
                    ]
                  }
                }
              }
            }
          }
        ],
        "responses": {
          "2XX": {
            "description": "success response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Workflow"
                      }
                    },
                    "kind": {
                      "$ref": "#/components/schemas/ResponseKind"
                    }
                  }
                }
              }
            }
          },
          "4XX": {
            "description": "client-side error response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "5XX": {
            "description": "server-side error response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTP": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "CustomStatus": {
        "required": [
          "standardName",
          "standard",
          "id",
          "name",
          "group",
          "hidden"
        ],
        "type": "object",
        "properties": {
          "standard": {
            "type": "boolean",
            "description": "Defines default custom status (ignored in requests)"
          },
          "standardName": {
            "type": "boolean",
            "description": "Whether status name is default or not"
          },
          "color": {
            "$ref": "#/components/schemas/StatusColor"
          },
          "hidden": {
            "type": "boolean",
            "description": "Custom status is hidden"
          },
          "name": {
            "type": "string",
            "description": "Name (128 symbols max)"
          },
          "id": {
            "$ref": "#/components/schemas/CustomStatusId"
          },
          "group": {
            "$ref": "#/components/schemas/TaskStatus"
          }
        },
        "description": "ID and group cannot be set simultaneously in request parameter,\nbut ID is required for update, and group is required for insert"
      },
      "ResponseKind": {
        "type": "string",
        "enum": [
          "accounts",
          "users",
          "contacts",
          "assets",
          "eDiscoveryReport",
          "folders",
          "folderTree",
          "tasks",
          "taskIds",
          "timelogs",
          "timelogCategories",
          "timelogLockPeriods",
          "timetrackerTimers",
          "comments",
          "attachments",
          "url",
          "version",
          "dataExport",
          "dataExportSchema",
          "auditLog",
          "accessRoles",
          "stream",
          "changes",
          "posts",
          "mailSettings",
          "integrationInfo",
          "gmailIntegrationSettings",
          "workTypesForIntegrations",
          "ids",
          "backups",
          "domains",
          "dependencies",
          "workflows",
          "workschedules",
          "workscheduleExclusions",
          "workscheduleUserExclusions",
          "customfields",
          "customfieldIds",
          "customstatuses",
          "invitations",
          "notifications",
          "jobroles",
          "placeholders",
          "groups",
          "session",
          "dashboards",
          "widgets",
          "taskCreationSettings",
          "colors",
          "experiments",
          "topics",
          "topicComments",
          "webhooks",
          "reviews",
          "boards",
          "textSearch",
          "chatChannels",
          "chatMessages",
          "forms",
          "requestForms",
          "request",
          "report",
          "platformWidgets",
          "platformWidgetInstances",
          "spaces",
          "pdf",
          "customerSatisfaction",
          "asyncJob",
          "approvals",
          "highlights",
          "highlightsList",
          "highlightsSettings",
          "highlightsCard",
          "timesheet",
          "timesheetRow",
          "timesheetSubmissionRule",
          "mobileFeatures",
          "mobileSettings",
          "folderBlueprintTree",
          "taskBlueprintTree",
          "feedback",
          "timeline_snapshot",
          "contactIds",
          "bookings",
          "integrateThreshold",
          "hourlyRatesProvision",
          "hourlyRates",
          "projectTeamMembers",
          "contactsHistory",
          "tasksHistory",
          "foldersHistory",
          "activityDigest",
          "workItemTemplates",
          "workTemplates",
          "workItemMetadata",
          "workItem",
          "customItemTypes",
          "verificationCode",
          "views",
          "listView",
          "tableView",
          "userTypes",
          "reactions",
          "externalRequesters",
          "workscheduleCapacityOverrides",
          "userCapacityOverrides",
          "userCapacityExclusions",
          "rollups",
          "requestFormPrefill",
          "cascadingFieldSettings"
        ]
      },
      "WorkflowId": {
        "pattern": "^([A-Z0-9]){16}$",
        "type": "string"
      },
      "Workflow": {
        "type": "object",
        "properties": {
          "standard": {
            "type": "boolean",
            "description": "Defines default workflow"
          },
          "hidden": {
            "type": "boolean",
            "description": "Workflow is hidden"
          },
          "customStatuses": {
            "type": "array",
            "description": "Custom statuses",
            "items": {
              "$ref": "#/components/schemas/CustomStatus"
            }
          },
          "name": {
            "type": "string",
            "description": "Name (128 symbols max)"
          },
          "description": {
            "type": "string",
            "description": "Description (2000 symbols max)"
          },
          "id": {
            "$ref": "#/components/schemas/WorkflowId"
          },
          "dataUsageStatistics": {
            "$ref": "#/components/schemas/DataUsageStatistics"
          }
        }
      },
      "ErrorType": {
        "type": "string",
        "enum": [
          "invalid_request",
          "invalid_parameter",
          "parameter_required",
          "not_authorized",
          "access_forbidden",
          "not_allowed",
          "resource_not_found",
          "method_not_found",
          "too_many_requests",
          "rate_limit_exceeded",
          "server_error"
        ]
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "errorDescription": {
            "type": "string"
          },
          "error": {
            "$ref": "#/components/schemas/ErrorType"
          }
        }
      },
      "Datapoint": {
        "required": [
          "timesUsedTotal",
          "timesUsedThisMonth"
        ],
        "type": "object",
        "properties": {
          "lastUsedOn": {
            "type": "string",
            "description": "Last used on<br>Format: yyyy-MM-dd'T'HH:mm:ss'Z'"
          },
          "timesUsedThisMonth": {
            "type": "number",
            "description": "Number of times used this month"
          },
          "timesUsedTotal": {
            "type": "number",
            "description": "Total number of times used"
          },
          "lastUsedBy": {
            "$ref": "#/components/schemas/UserId"
          }
        }
      },
      "StatusColor": {
        "type": "string",
        "description": "* `Brown` - #795548\n* `DarkCyan` - #009688\n* `Gray` - #9E9E9E\n* `Blue` - #2196F3\n* `DarkBlue` - #3F51B5\n* `Orange` - #FF9800\n* `Red` - #E91E63\n* `YellowGreen` - #CDDC39\n* `Purple` - #9C27B0\n* `Yellow` - #FFEB3B\n* `Indigo` - #673AB7\n* `DarkRed` - #F44336\n* `Turquoise` - #00BCD4\n* `Green` - #8BC34A",
        "enum": [
          "Brown",
          "DarkCyan",
          "Gray",
          "Blue",
          "DarkBlue",
          "Orange",
          "Red",
          "YellowGreen",
          "Purple",
          "Yellow",
          "Indigo",
          "DarkRed",
          "Turquoise",
          "Green"
        ]
      },
      "TaskStatus": {
        "type": "string",
        "description": "* `Active` - Active\n* `Deferred` - Deferred\n* `Completed` - Completed\n* `Cancelled` - Cancelled",
        "enum": [
          "Active",
          "Deferred",
          "Completed",
          "Cancelled"
        ]
      },
      "CustomStatusId": {
        "pattern": "^([A-Z0-9]){16}$",
        "type": "string"
      },
      "DataUsageStatistics": {
        "required": [
          "spaceDataPoints"
        ],
        "type": "object",
        "properties": {
          "spaceDataPoints": {
            "type": "object",
            "additionalProperties": {
              "$ref": "#/components/schemas/Datapoint"
            },
            "description": "Map<String, Datapoint> - Space data points"
          },
          "accountDataPoints": {
            "$ref": "#/components/schemas/Datapoint"
          }
        }
      },
      "UserId": {
        "pattern": "^([A-Z0-9]){8}$",
        "type": "string"
      }
    },
    "securitySchemes": {
      "HTTP": {
        "type": "http",
        "description": "Use OAuth 2.0 access token or permanent access token for authorization.",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  }
}
```